## org.gnu.gdk
Class Segment

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gdk.Segment

public class Segment
extends MemStruct

Specifies the start and end point for a line.

Constructor Summary
`Segment()`
`Segment(int x1, int y1, int x2, int y2)`

Method Summary
`int` `getX1()`
`int` `getX2()`
`int` `getY1()`
`int` `getY2()`
`void` `setX1(int x1)`
`void` `setX2(int x1)`
`void` `setY1(int y1)`
`void` `setY2(int y1)`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Segment

    public Segment(int x1,
                   int y1,
                   int x2,
                   int y2)

### Segment

    public Segment()

Method Detail

### getX1

    public int getX1()

### setX1

    public void setX1(int x1)

### getY1

    public int getY1()

### setY1

    public void setY1(int y1)

### getX2

    public int getX2()

### setX2

    public void setX2(int x1)

### getY2

    public int getY2()

### setY2

    public void setY2(int y1)